Bug Hunting Session
Bug 113405 - Dragging a slide master from one window to another causes crash (steps in comment 2)
Summary: Dragging a slide master from one window to another causes crash (steps in com...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1 all versions
Hardware: All All
: highest critical
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.0.0
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-10-24 14:53 UTC by Ole Tange
Modified: 2017-11-12 11:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
GDB trace of crash with master (22.40 KB, text/plain)
2017-11-07 17:35 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole Tange 2017-10-24 14:53:40 UTC
Description:
Dragging slide master from one window to another causes instability.

Steps to Reproduce:
1. New > Presentation
2. Show > Slide master
3. New > Presentation
4. Show > Slide master
5. Drag slidemaster from slideoverview in doc1 to main area in doc2.

New slide master appears in doc2.

6. Drag slidemaster from slideoverview in doc1 to main area in doc2.

Nothing happens.

7. Drag slidemaster from slideoverview in doc1 to main area in doc2.

Nothing happens

8. Select slide master 2 in doc2.
9. Drag slidemaster from slideoverview in doc1 to main area in doc2.

Program alters the mouse pointer to a wait-pointer. No new slide master appears, but some actions are possible. Program seems unstable. No new slidemasters can be dragged.


Actual Results:  
Nothing happens when dragging master the second time.

Program changes mouse pointer to busy after step 9.

Expected Results:
A new slide master after every dragging.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Buovjaga 2017-11-07 17:35:12 UTC
Created attachment 137600 [details]
GDB trace of crash with master

It crashes for me at step 9.
The "Nothing happens" is actually "the new slide master is overwritten by the dragged one". You can see this with a template that has different slide masters and you drag different ones.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha1+
Build ID: f657454b69c813b90a8b3c1adb2feef1066dbd35
CPU threads: 8; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 7th 2017
Comment 2 Xisco Faulí 2017-11-08 17:30:17 UTC
I found a easier way to reproduce the crash:

1. Open presentation 1 and go to Slide - Master slide
2. Open presentation 2 and go to Slide - Master slide
3. Drag master slide from presentation 1 to presentation 2 ( to the main area )
4. In presentation 2, select the second slide ( added in step 3 )
5. Repeat step 3
CRASH!
Comment 3 Xisco Faulí 2017-11-08 17:36:42 UTC
Also reproduced in

Version: 4.2.0.0.alpha1+
Build ID: fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
Comment 4 Xisco Faulí 2017-11-08 18:42:04 UTC
I found another way to reproduce this crash:

1. Create a new impress document
2. Go to View - Master slide
3. In the sidebar, go to Master Slides and double click on any master slide template -> new master slide is added
4. Drag second slide from the slide pane to the main area.
5. CRASH!
Comment 5 Xisco Faulí 2017-11-08 18:43:42 UTC
Also reproduced in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 6 Xisco Faulí 2017-11-08 19:01:24 UTC
Hi Caolán,
I've checked the list of fixed crashed related to slides/master slides and it seems you fixed a bunch of them. Adding you to this one in case you may be interested....
Comment 7 Commit Notification 2017-11-10 23:48:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=574bac673366bc317e8ef10f288945d8dd5c2050

Resolves: tdf#113405 don't try and assign a master page to a master page

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2017-11-12 11:11:21 UTC
Verified in

Version: 6.0.0.0.alpha1+
Build ID: b73c66597884f03443ee8888cb6c204b78bb6cda
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: th-TH (ca_ES.UTF-8); Calc: group